<template>
  <div id="app">
    <obligatory :obligatories="obligatories"/>
    <trilha v-for="trilha of trilhas"
      :key="trilha.id_trilha"
      :trilha="trilha
    "/>
  </div>
</template>

<script>
import Trilha from '@/components/Trilha.vue';
import Obligatory from '@/components/Obligatory.vue';
import {mapGetters} from 'vuex';

export default {
  components: {
    Trilha,
    Obligatory
  },

  data() {
    return {
      trilhas: [],
      obligatories: [],
      preRequisitos: []
    };
  },

  mounted() {
    this.$store.commit('setOnIndex', {onIndex: true})
  },

  // Initialize elements in 'data' before rendering page.
  // More info at: https://nuxtjs.org/api/
  async asyncData({ app }) {
    const preRequisitos = await app.$axios.$post(`/rpc/busca_pre_requisitos`)
    app.store.commit('setPreRequisitos', { preRequisitos })

    return {
      trilhas: await app.$axios.$get("/trilhas"),
      obligatories: await app.$axios.$post(`/rpc/grade_obrigatoria`),
      preRequisitos
    }
  },
}
</script>
<style lang="scss">

#app{
    display: flex;
    flex-flow: column nowrap;
    justify-content: right;

    width: 100%;
    height: 100%;

    background: $medium-color;
}

</style>
